require 'watir'
require 'test/unit'
class TC_fillInMasterContract < Test::Unit::TestCase
	def test_fillInMasterContract
		failedSteps = 0
		passedSteps = 0
		ie = Watir::IE.new
		ie.goto("http://newdaim.idi.ntnu.no/login.php")
		begin
			assert_equal("", ie.text_field(:name, "daim_user").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'daim_user' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Logg inn").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Logg inn'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "daim_user").set("pettertest")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'daim_user' to value 'pettertest'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "daim_pw").set("Makoba2050")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'daim_pw' to value 'Makoba2050'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Logg inn").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Logg inn'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("Min masteroppgave"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: Min masteroppgave'")
			failedSteps += 1
		end
		begin
			ie.link(:text, "Min masteroppgave").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking link with label 'Min masteroppgave'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Endre4...").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Endre4...'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Endre4...").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Endre4...'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Lagre'")
			failedSteps += 1
		end
		begin
			ie.select_list( :name , "fak_id").select("Fakultet for Informasjonsteknologi, matematikk og elektroteknikk")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting select box with name 'fak_id' to value 'Fakultet for Informasjonsteknologi, matematikk og elektroteknikk'")
			failedSteps += 1
		end
		begin
			ie.select_list( :name , "inst_id").select("Institutt for datateknikk og informasjonsvitenskap")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting select box with name 'inst_id' to value 'Institutt for datateknikk og informasjonsvitenskap'")
			failedSteps += 1
		end
		begin
			ie.select_list( :name , "hovedveileder").select("Test, Jan (Professor)")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting select box with name 'hovedveileder' to value 'Test, Jan (Professor)'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Lagre'")
			failedSteps += 1
		end



#  --- Starting new path in tree test ---

		ie = Watir::IE.new
		ie.goto("http://newdaim.idi.ntnu.no/login.php")
		begin
			assert_equal("", ie.text_field(:name, "daim_user").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'daim_user' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Logg inn").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Logg inn'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "daim_user").set("pettertest")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'daim_user' to value 'pettertest'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "daim_pw").set("Makoba2050")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'daim_pw' to value 'Makoba2050'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Logg inn").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Logg inn'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("Min masteroppgave"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: Min masteroppgave'")
			failedSteps += 1
		end
		begin
			ie.link(:text, "Min masteroppgave").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking link with label 'Min masteroppgave'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Endre4...").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Endre4...'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Endre4...").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Endre4...'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Legg til biveileder").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Legg til biveileder'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Legg til biveileder").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Legg til biveileder'")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "b1_fornavn").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'b1_fornavn' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "b1_etternavn").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'b1_etternavn' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "b1_institusjon").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'b1_institusjon' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Lagre'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "b1_fornavn").set("12345")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'b1_fornavn' to value '12345'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "b1_etternavn").set("54321")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'b1_etternavn' to value '54321'")
			failedSteps += 1
		end
		begin
			ie.select_list( :name , "b1_veiltype").select("Ekstern veileder")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting select box with name 'b1_veiltype' to value 'Ekstern veileder'")
			failedSteps += 1
		end
		begin
			ie.select_list( :name , "b1_institusjon").select("")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting select box with name 'b1_institusjon' to value ''")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "b1_institusjon").set("45678")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'b1_institusjon' to value '45678'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Lagre'")
			failedSteps += 1
		end



#  --- Starting new path in tree test ---


		#ie.goto("http://newdaim.idi.ntnu.no/login.php")
		#ie.close()


		puts "Done."
		puts
		if (failedSteps == 0)
			puts (passedSteps.to_s + " steps passed, no steps failed.")
		else
			puts(passedSteps.to_s + " steps passed, " + failedSteps.to_s + " steps failed!")
		end
		puts "Press enter to exit"
		gets
	end
end
