require 'watir'
require 'test/unit'
class TC_fillInMasterContract < Test::Unit::TestCase
	def test_fillInMasterContract
		failedSteps = 0
		passedSteps = 0
		ie = Watir::IE.new
		ie.goto("http://newdaim.idi.ntnu.no/login.php")
		begin
			assert_equal("", ie.text_field(:name, "daim_user").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'daim_user' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Logg inn").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Logg inn'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "daim_user").set("pettertest")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'daim_user' to value 'pettertest'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "daim_pw").set("Makoba2050")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'daim_pw' to value 'Makoba2050'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Logg inn").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Logg inn'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("Min masteroppgave"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: Min masteroppgave'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("Sk etter masteroppgave"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: Sk etter masteroppgave'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("FAQ"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: FAQ'")
			failedSteps += 1
		end
		begin
			ie.link(:text, "Min masteroppgave").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking link with label 'Min masteroppgave'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Endre1...").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Endre1...'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Endre1...").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Endre1...'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Legg til medstudent").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Legg til medstudent'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Legg til medstudent").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Legg til medstudent'")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "medstudenter").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'medstudenter' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Lagre'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "medstudenter").set("thuyhuet")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'medstudenter' to value 'thuyhuet'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Lagre'")
			failedSteps += 1
		end



#  --- Starting new path in tree test ---


		ie.goto("http://newdaim.idi.ntnu.no/login.php")
		begin
			assert_equal("", ie.text_field(:name, "daim_user").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'daim_user' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Logg inn").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Logg inn'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "daim_user").set("pettertest")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'daim_user' to value 'pettertest'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "daim_pw").set("Makoba2050")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'daim_pw' to value 'Makoba2050'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Logg inn").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Logg inn'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("Min masteroppgave"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: Min masteroppgave'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("Sk etter masteroppgave"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: Sk etter masteroppgave'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("FAQ"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: FAQ'")
			failedSteps += 1
		end
		begin
			ie.link(:text, "Min masteroppgave").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking link with label 'Min masteroppgave'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Endre1...").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Endre1...'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Endre1...").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Endre1...'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Legg til medstudent").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Legg til medstudent'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Legg til medstudent").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Legg til medstudent'")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "medstudenter").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'medstudenter' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Lagre'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "medstudenter").set("<...>")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'medstudenter' to value '<...>'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Lagre'")
			failedSteps += 1
		end



#  --- Starting new path in tree test ---


		ie.goto("http://newdaim.idi.ntnu.no/login.php")
		begin
			assert_equal("", ie.text_field(:name, "daim_user").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'daim_user' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Logg inn").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Logg inn'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "daim_user").set("pettertest")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'daim_user' to value 'pettertest'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "daim_pw").set("Makoba2050")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'daim_pw' to value 'Makoba2050'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Logg inn").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Logg inn'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("Min masteroppgave"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: Min masteroppgave'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("Sk etter masteroppgave"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: Sk etter masteroppgave'")
			failedSteps += 1
		end
		begin
			assert(ie.contains_text("FAQ"))
			passedSteps += 1
		rescue => e
			puts("Step failed: Check link present with label: FAQ'")
			failedSteps += 1
		end
		begin
			ie.link(:text, "Min masteroppgave").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking link with label 'Min masteroppgave'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Endre1...").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Endre1...'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Endre1...").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Endre1...'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Legg til medstudent").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Legg til medstudent'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Legg til medstudent").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Legg til medstudent'")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "medstudenter").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'medstudenter' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Lagre'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "medstudenter").set("oleolsen")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'medstudenter' to value 'oleolsen'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Lagre'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Lagre'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Lagre'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "BEKREFT").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'BEKREFT'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "BEKREFT").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'BEKREFT'")
			failedSteps += 1
		end



#  --- Starting new path in tree test ---


		#ie.goto("http://newdaim.idi.ntnu.no/login.php")
		#ie.close()


		puts "Done."
		puts
		if (failedSteps == 0)
			puts (passedSteps.to_s + " steps passed, no steps failed.")
		else
			puts(passedSteps.to_s + " steps passed, " + failedSteps.to_s + " steps failed!")
		end
		puts "Press enter to exit"
		gets
	end
end
