require 'watir'
require 'test/unit'
class TC_addSupervisor < Test::Unit::TestCase
	def test_addSupervisor
		failedSteps = 0
		passedSteps = 0
		ie = Watir::IE.new
		ie.goto("http://newdaim.idi.ntnu.no/admin/index.php")
		begin
			ie.button(:value, "Hovedveiledere").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Hovedveiledere'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Hovedveiledere").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Hovedveiledere'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Ny").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Ny'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Ny").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Ny'")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "brukernavn").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'brukernavn' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "fornavn").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'fornavn' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "epost").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'epost' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "etternavn").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'etternavn' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Lagre'")
			failedSteps += 1
		end
		begin
			ie.select_list( :name , "tittel_id").select("Forsker")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting select box with name 'tittel_id' to value 'Forsker'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "brukernavn").set("54321")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'brukernavn' to value '54321'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "fornavn").set("12345")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'fornavn' to value '12345'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "epost").set("aMail")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'epost' to value 'aMail'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "etternavn").set("54321")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'etternavn' to value '54321'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Lagre'")
			failedSteps += 1
		end



#  --- Starting new path in tree test ---


		#ie.goto("http://newdaim.idi.ntnu.no/admin/index.php")
		#ie.close()


		puts "Done."
		puts
		if (failedSteps == 0)
			puts (passedSteps.to_s + " steps passed, no steps failed.")
		else
			puts(passedSteps.to_s + " steps passed, " + failedSteps.to_s + " steps failed!")
		end
		puts "Press enter to exit"
		gets
	end
end
