require 'watir'
require 'test/unit'
class TC_adminIndex < Test::Unit::TestCase
	def test_adminIndex
		failedSteps = 0
		passedSteps = 0
		ie = Watir::IE.new
		ie.goto("http://newdaim.idi.ntnu.no/admin/index.php")
		begin
			ie.button(:value, "Sensorer").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Sensorer'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Sensorer").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Sensorer'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Ny").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Ny'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Ny").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Ny'")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "fornavn").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'fornavn' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "etternavn").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'etternavn' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "akademisk_grad").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'akademisk_grad' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "foedselsdato").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'foedselsdato' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "personnr").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'personnr' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "ordinaer_startdato").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'ordinaer_startdato' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "ordinaer_sluttdato").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'ordinaer_sluttdato' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "foreslaatt_av").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'foreslaatt_av' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "hjemme_epost").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'hjemme_epost' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "hjemme_telefon").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'hjemme_telefon' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "jobb_epost").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'jobb_epost' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "jobb_telefon").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'jobb_telefon' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Lagre'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "fornavn").set("12345")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'fornavn' to value '12345'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "etternavn").set("54321")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'etternavn' to value '54321'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "akademisk_grad").set("12345")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'akademisk_grad' to value '12345'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "foedselsdato").set("enTest")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'foedselsdato' to value 'enTest'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "personnr").set("30079")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'personnr' to value '30079'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "ordinaer_startdato").set("12.03.2009")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'ordinaer_startdato' to value '12.03.2009'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "ordinaer_sluttdato").set("12.07.2006")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'ordinaer_sluttdato' to value '12.07.2006'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "foreslaatt_av").set("54321")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'foreslaatt_av' to value '54321'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "hjemmeadresse").set("5677")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'hjemmeadresse' to value '5677'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "hjemme_epost").set("thuyhuet@stud.ntnu.no")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'hjemme_epost' to value 'thuyhuet@stud.ntnu.no'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "hjemme_telefon").set("homeNumber")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'hjemme_telefon' to value 'homeNumber'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "jobbadresse").set("789")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'jobbadresse' to value '789'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "jobb_epost").set("jobMail")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'jobb_epost' to value 'jobMail'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "jobb_telefon").set("JobNumber")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'jobb_telefon' to value 'JobNumber'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "merknad").set("234")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'merknad' to value '234'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Lagre'")
			failedSteps += 1
		end



#  --- Starting new path in tree test ---

		ie = Watir::IE.new
		ie.goto("http://newdaim.idi.ntnu.no/admin/index.php")
		begin
			ie.button(:value, "Sensorer").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Sensorer'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Sensorer").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Sensorer'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Ny").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Ny'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Ny").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Ny'")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "fornavn").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'fornavn' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "etternavn").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'etternavn' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "akademisk_grad").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'akademisk_grad' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "foedselsdato").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'foedselsdato' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "personnr").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'personnr' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "ordinaer_startdato").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'ordinaer_startdato' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "ordinaer_sluttdato").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'ordinaer_sluttdato' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "foreslaatt_av").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'foreslaatt_av' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "hjemme_epost").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'hjemme_epost' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "hjemme_telefon").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'hjemme_telefon' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "jobb_epost").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'jobb_epost' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "jobb_telefon").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'jobb_telefon' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Lagre'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "fornavn").set("test")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'fornavn' to value 'test'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "etternavn").set("DateFormat")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'etternavn' to value 'DateFormat'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "akademisk_grad").set("45632")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'akademisk_grad' to value '45632'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "foedselsdato").set("enTest")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'foedselsdato' to value 'enTest'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "personnr").set("25077")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'personnr' to value '25077'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "ordinaer_startdato").set("fromDate")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'ordinaer_startdato' to value 'fromDate'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "ordinaer_sluttdato").set("toDate")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'ordinaer_sluttdato' to value 'toDate'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "foreslaatt_av").set("Me")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'foreslaatt_av' to value 'Me'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "hjemmeadresse").set("homeAdress")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'hjemmeadresse' to value 'homeAdress'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "hjemme_epost").set("thuyhuet@stud.ntnu.no")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'hjemme_epost' to value 'thuyhuet@stud.ntnu.no'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "hjemme_telefon").set("homeNumber")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'hjemme_telefon' to value 'homeNumber'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "jobbadresse").set("234")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'jobbadresse' to value '234'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "jobb_epost").set("jobMail")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'jobb_epost' to value 'jobMail'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "jobb_telefon").set("jobNumber")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'jobb_telefon' to value 'jobNumber'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "merknad").set("aComment")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'merknad' to value 'aComment'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Lagre'")
			failedSteps += 1
		end



#  --- Starting new path in tree test ---
		ie = Watir::IE.new

		ie.goto("http://newdaim.idi.ntnu.no/admin/index.php")
		begin
			ie.button(:value, "Sensorer").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Sensorer'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Sensorer").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Sensorer'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Ny").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Ny'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Ny").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Ny'")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "fornavn").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'fornavn' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "etternavn").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'etternavn' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "akademisk_grad").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'akademisk_grad' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "foedselsdato").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'foedselsdato' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "personnr").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'personnr' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "ordinaer_startdato").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'ordinaer_startdato' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "ordinaer_sluttdato").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'ordinaer_sluttdato' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "foreslaatt_av").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'foreslaatt_av' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "hjemme_epost").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'hjemme_epost' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "hjemme_telefon").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'hjemme_telefon' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "jobb_epost").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'jobb_epost' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "jobb_telefon").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'jobb_telefon' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Lagre'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "fornavn").set("robust ")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'fornavn' to value 'robust '")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "etternavn").set("test")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'etternavn' to value 'test'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "akademisk_grad").set("Forsker")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'akademisk_grad' to value 'Forsker'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "foedselsdato").set("250779")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'foedselsdato' to value '250779'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "personnr").set("25077")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'personnr' to value '25077'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "ordinaer_startdato").set("12.03.2009")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'ordinaer_startdato' to value '12.03.2009'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "ordinaer_sluttdato").set("12.07.2006")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'ordinaer_sluttdato' to value '12.07.2006'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "foreslaatt_av").set("54321")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'foreslaatt_av' to value '54321'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "hjemmeadresse").set("345")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'hjemmeadresse' to value '345'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "hjemme_epost").set("thuyhuet@")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'hjemme_epost' to value 'thuyhuet@'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "hjemme_telefon").set("tryAgain")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'hjemme_telefon' to value 'tryAgain'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "jobbadresse").set("789")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'jobbadresse' to value '789'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "jobb_epost").set("enTest")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'jobb_epost' to value 'enTest'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "jobb_telefon").set("againAgain")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'jobb_telefon' to value 'againAgain'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "merknad").set("234")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'merknad' to value '234'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Lagre'")
			failedSteps += 1
		end



#  --- Starting new path in tree test ---

		ie = Watir::IE.new
		ie.goto("http://newdaim.idi.ntnu.no/admin/index.php")
		begin
			ie.button(:value, "Sensorer").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Sensorer'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Sensorer").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Sensorer'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Ny").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Ny'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Ny").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Ny'")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "fornavn").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'fornavn' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "etternavn").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'etternavn' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "akademisk_grad").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'akademisk_grad' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "foedselsdato").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'foedselsdato' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "personnr").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'personnr' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "ordinaer_startdato").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'ordinaer_startdato' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "ordinaer_sluttdato").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'ordinaer_sluttdato' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "foreslaatt_av").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'foreslaatt_av' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "hjemme_epost").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'hjemme_epost' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "hjemme_telefon").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'hjemme_telefon' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "jobb_epost").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'jobb_epost' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "jobb_telefon").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'jobb_telefon' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Lagre'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "fornavn").set("Mail")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'fornavn' to value 'Mail'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "etternavn").set("Test")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'etternavn' to value 'Test'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "akademisk_grad").set("Professor")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'akademisk_grad' to value 'Professor'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "foedselsdato").set("250779")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'foedselsdato' to value '250779'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "personnr").set("25070")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'personnr' to value '25070'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "ordinaer_startdato").set("12.02.05")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'ordinaer_startdato' to value '12.02.05'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "ordinaer_sluttdato").set("25.04.06")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'ordinaer_sluttdato' to value '25.04.06'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "foreslaatt_av").set("789")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'foreslaatt_av' to value '789'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "hjemmeadresse").set("345")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'hjemmeadresse' to value '345'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "hjemme_epost").set("thuyhuet")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'hjemme_epost' to value 'thuyhuet'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "hjemme_telefon").set("invalidnumber")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'hjemme_telefon' to value 'invalidnumber'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "jobbadresse").set("789")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'jobbadresse' to value '789'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "jobb_epost").set("invalidMail")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'jobb_epost' to value 'invalidMail'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "jobb_telefon").set("JobNumber")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'jobb_telefon' to value 'JobNumber'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "merknad").set("345")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'merknad' to value '345'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Lagre'")
			failedSteps += 1
		end



#  --- Starting new path in tree test ---


		#ie.goto("http://newdaim.idi.ntnu.no/admin/index.php")
		#ie.close()


		puts "Done."
		puts
		if (failedSteps == 0)
			puts (passedSteps.to_s + " steps passed, no steps failed.")
		else
			puts(passedSteps.to_s + " steps passed, " + failedSteps.to_s + " steps failed!")
		end
		puts "Press enter to exit"
		gets
	end
end
