require 'watir'
require 'test/unit'
class TC_findBySearch < Test::Unit::TestCase
	def test_findBySearch
		failedSteps = 0
		passedSteps = 0
		ie = Watir::IE.new
		ie.goto("http://newdaim.idi.ntnu.no/admin/index.php")
		begin
			ie.button(:value, "Hovedveiledere").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Hovedveiledere'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Hovedveiledere").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Hovedveiledere'")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "utvalg_navn").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'utvalg_navn' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Finn").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Finn'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "utvalg_navn").set("12345")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'utvalg_navn' to value '12345'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Finn").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Finn'")
			failedSteps += 1
		end



#  --- Starting new path in tree test ---

		ie = Watir::IE.new
		ie.goto("http://newdaim.idi.ntnu.no/admin/index.php")
		begin
			ie.button(:value, "Sensorer").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Sensorer'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Sensorer").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Sensorer'")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "utvalg_navn").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'utvalg_navn' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Finn").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Finn'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "utvalg_navn").set("12345")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'utvalg_navn' to value '12345'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Finn").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Finn'")
			failedSteps += 1
		end



#  --- Starting new path in tree test ---


		#ie.goto("http://newdaim.idi.ntnu.no/admin/index.php")
		#ie.close()


		puts "Done."
		puts
		if (failedSteps == 0)
			puts (passedSteps.to_s + " steps passed, no steps failed.")
		else
			puts(passedSteps.to_s + " steps passed, " + failedSteps.to_s + " steps failed!")
		end
		puts "Press enter to exit"
		gets
	end
end
