require 'watir'
require 'test/unit'
class TC_registerStudent < Test::Unit::TestCase
	def test_registerStudent
		failedSteps = 0
		passedSteps = 0
		ie = Watir::IE.new
		ie.goto("http://newdaim.idi.ntnu.no/admin/registrere_student.php")
		begin
			assert_equal("", ie.text_field(:name, "fornavn").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'fornavn' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "etternavn").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'etternavn' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "brukernavn").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'brukernavn' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Lagre'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "fornavn").set("kiet")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'fornavn' to value 'kiet'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "etternavn").set("ve tran")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'etternavn' to value 've tran'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "brukernavn").set("kietve")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'brukernavn' to value 'kietve'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Lagre'")
			failedSteps += 1
		end



#  --- Starting new path in tree test ---

		ie = Watir::IE.new
		ie.goto("http://newdaim.idi.ntnu.no/admin/registrere_student.php")
		begin
			assert_equal("", ie.text_field(:name, "fornavn").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'fornavn' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "etternavn").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'etternavn' and value = ''")
			failedSteps += 1
		end
		begin
			assert_equal("", ie.text_field(:name, "brukernavn").getContents())
			passedSteps += 1
		rescue => e
			puts("Step failed: Check text field present with name = 'brukernavn' and value = ''")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").to_s()
			passedSteps += 1
		rescue => e
			puts("Step failed: Check submit button present with value = 'Lagre'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "fornavn").set("54321")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'fornavn' to value '54321'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "etternavn").set("12345")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'etternavn' to value '12345'")
			failedSteps += 1
		end
		begin
			ie.text_field(:name, "brukernavn").set("56789")
			passedSteps += 1
		rescue => e
			puts("Step failed: Setting input field with name 'brukernavn' to value '56789'")
			failedSteps += 1
		end
		begin
			ie.button(:value, "Lagre").click
			passedSteps += 1
		rescue => e
			puts("Step failed: Clicking button with label 'Lagre'")
			failedSteps += 1
		end



#  --- Starting new path in tree test ---


		#ie.goto("http://newdaim.idi.ntnu.no/admin/registrere_student.php")
		#ie.close()


		puts "Done."
		puts
		if (failedSteps == 0)
			puts (passedSteps.to_s + " steps passed, no steps failed.")
		else
			puts(passedSteps.to_s + " steps passed, " + failedSteps.to_s + " steps failed!")
		end
		puts "Press enter to exit"
		gets
	end
end
